<?php
/*
Simple:Press Forum
Admin User Groups
$LastChangedDate: 2009-09-21 20:10:41 -0700 (Mon, 21 Sep 2009) $
$Rev: 2639 $
*/

if (preg_match('#' . basename(__FILE__) . '#', $_SERVER['PHP_SELF']))
{
	echo (__('Access Denied', "sforum"));
	die();
}

# Check Whether User Can Manage User Groups
if (!sfc_current_user_can('SPF Manage User Groups'))
{
	echo (__('Access Denied', "sforum"));
	die();
}

global $SFSTATUS;

include_once (SF_PLUGIN_DIR.'/admin/panel-usergroups/sfa-usergroups-display.php');
include_once (SF_PLUGIN_DIR.'/admin/panel-usergroups/support/sfa-usergroups-prepare.php');
include_once (SF_PLUGIN_DIR.'/admin/library/sfa-tab-support.php');

if($SFSTATUS != 'ok')
{
	include_once (SFINSTALL);
	die();
}

global $adminhelpfile;
$adminhelpfile = 'admin-usergroups';
# --------------------------------------------------------------------

if(isset($_GET['tab']) ? $tab=$_GET['tab'] : $tab='usergroups');
sfa_header();
sfa_render_usergroups_panel($tab);
sfa_footer();

?>